| POST | /RestApi/translations/translate/markandsend |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ProjectData | body | CreateProject | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Ids | form | Guid[] | No | |
| ProviderName | form | string | No | |
| ItemType | form | string | No | |
| SourceLanguage | form | string | No | |
| TargetLanguages | form | string[] | No | |
| ActualSourceLanguage | form | string | No | |
| AllowPartialSuccess | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Title | form | string | No | |
| StartDate | form | DateTime? | No | |
| EndDate | form | DateTime? | No | |
| Description | form | string | No | |
| Connector | form | string | No | |
| PoReference | form | string | No | |
| ActualSourceLanguage | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/translate/markandsend HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"},"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'csv' filter}Cannot create an instance of an interface.